package com.ruoyi.sip.service.impl;


import com.ruoyi.sip.domain.MaintenanceRecord;
import com.ruoyi.sip.domain.MaintenanceRecordsDto;
import com.ruoyi.sip.mapper.MaintenanceMapper;
import com.ruoyi.sip.service.IMaintenanceService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author :   ch
 * @version :   1.0
 * @ClassName :   MaintenanceServiceImpl
 * @Description :
 * @DATE :   Created in 17:36 2025/4/23
 * <pre>       Copyright: Copyright(c) 2025     </pre>
 * <pre>       Company :   	紫光汇智信息技术有限公司		           </pre>
 * Modification  History:
 * Date         Author        Version        Discription
 * --------------------------------------------------------------------------
 * 2025/04/23      ch              1.0         Why & What is modified: <修改原因描述> *
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class MaintenanceServiceImpl implements IMaintenanceService {

    @Resource
    private MaintenanceMapper mapper;


    @Override
    public List<MaintenanceRecord> query(MaintenanceRecordsDto dto) {
        return mapper.query(dto);
    }
}
